# Copyright (C) 2020 SUSE LLC
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, see <http://www.gnu.org/licenses/>.

package MirrorCache::WebAPI::Command::backstage;
use Mojo::Base 'Mojolicious::Commands';

has description => 'Minion job queue';
has hint        => <<EOF;
See 'APPLICATION minion help COMMAND' for more information on a specific
command.
EOF
has message    => sub { shift->extract_usage . "\nCommands:\n" };
has namespaces => sub { ['MirrorCache::WebAPI::Command::backstage'] };

sub help { shift->run(@_) }

1;

=encoding utf8

=head1 NAME

MirrorCache::WebAPI::Command::backstage - minions command

=head1 SYNOPSIS

  Usage: APPLICATION backstage COMMAND [OPTIONS]

=head1 DESCRIPTION

L<MirrorCache::WebAPI::Command::backstage> lists available Backstage commands.

=cut
